org.apache.http.client.entity

## Class GzipDecompressingEntity

- java.lang.Object
- - org.apache.http.entity.HttpEntityWrapper
  - - org.apache.http.client.entity.DecompressingEntity
    - - org.apache.http.client.entity.GzipDecompressingEntity

- All Implemented Interfaces:
    org.apache.http.HttpEntity

      public class GzipDecompressingEntity
      extends DecompressingEntity

  `HttpEntityWrapper` for handling gzip Content Coded responses.
  Since:
    4.1

- - ### Field Summary

    - ### Fields inherited from class org.apache.http.entity.HttpEntityWrapper

      `wrappedEntity`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GzipDecompressingEntity(org.apache.http.HttpEntity entity)` Creates a new `GzipDecompressingEntity` which will wrap the specified `HttpEntity`.

  - ### Method Summary

    - ### Methods inherited from class org.apache.http.client.entity.DecompressingEntity

      `getContent, getContentEncoding, getContentLength, writeTo`

    - ### Methods inherited from class org.apache.http.entity.HttpEntityWrapper

      `consumeContent, getContentType, isChunked, isRepeatable, isStreaming`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GzipDecompressingEntity

          public GzipDecompressingEntity(org.apache.http.HttpEntity entity)

      Creates a new `GzipDecompressingEntity` which will wrap the specified `HttpEntity`.
      Parameters:
        `entity` - the non-null `HttpEntity` to be wrapped

Copyright © 1999–2022 The Apache Software Foundation. All rights reserved.